magnifying-glassGet submerchant information

Get SubMerchant Information

get

Retrieve the information for a specific SubMerchant.

Path parameters
sub_merchant_idintegerRequired

The ID of the SubMerchant to retrieve.

Example: 18703
Header parameters
Content-TypestringRequired

Media type of the body sent to the API.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)

X-LoginstringRequired

Merchant X-Login API Key.

AuthorizationstringRequired

Authorization control hash.

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once.

Responses
chevron-right
200

Successful request. Returns the SubMerchant details.

application/json
sub_merchant_idintegerOptional

Identifier of the SubMerchant on our end.

Example: 18703
markup_feenumber · doubleOptional

Commission earned in each deposit. It is a percentual, expressed in decimal. E.g.: value 2.00 represents %2.00

Example: 2
sub_merchant_namestringOptional

Represents the name of the SubMerchant.

Example: Dunder Mifflin
emailstringOptional

Email of the main user in the SubMerchant. In case you may want to match it with a user on your end, please request SubMerchant to signup with that address.

Example: [email protected]
statusstring · enumOptional

Represents if the SubMerchant is either active or inactive. Only active merchants can process transactions.

Example: ACTIVEPossible values:
external_submerchant_idstringOptional

Represents the SubMerchant identifier on your end, if this information is included in the Referral Signup Form URL.

Example: ABC123
get
/sub_merchants/{sub_merchant_id}

Last updated

Was this helpful?